/*
 * usart.h
 * http://www.skybeeper.com/index.php/en/english-en/25-tighten-scanf
 */

#ifndef USART1_H_
#define USART1_H_
#include "STM32f10x.h"

//device and usart parameters
#define PLL_FREQUENCY			24000000ul	///< desired target frequency of the core
#define UART1_BAUDRATE  		9600

void Usart1Init(void);
void Usart1Put(char ch);
char Usart1Get(void);


#endif /* USART1_H_ */
